commit bd52571d713749f1a4cf0f58ca4922dbc42b5752
Author: H.J. Lu <hjl.tools@gmail.com>
Date:   Tue Feb 11 13:47:54 2025 +0800

    x86: Correct ASM_OUTPUT_SYMBOL_REF
    
    x is not a macro argument.  It just happens to work as final.cc passes
    x for 2nd argument:
    
    final.cc:      ASM_OUTPUT_SYMBOL_REF (file, x);
    
            PR target/118825
            * config/i386/i386.h (ASM_OUTPUT_SYMBOL_REF): Replace x with
            SYM.
    
    Signed-off-by: H.J. Lu <hjl.tools@gmail.com>
    (cherry picked from commit 7317fc0b03380a83ad03a5fc4fabef5f38c44c9d)

diff --git a/gcc/config/i386/i386.h b/gcc/config/i386/i386.h
index ed988ca280e..8416e5b02b6 100644
--- a/gcc/config/i386/i386.h
+++ b/gcc/config/i386/i386.h
@@ -2174,7 +2174,7 @@ extern int const svr4_dbx_register_map[FIRST_PSEUDO_REGISTER];
 #define ASM_OUTPUT_SYMBOL_REF(FILE, SYM) \
   do {							\
     const char *name					\
-      = assemble_name_resolve (XSTR (x, 0));		\
+      = assemble_name_resolve (XSTR (SYM, 0));		\
     /* In -masm=att wrap identifiers that start with $	\
        into parens.  */					\
     if (ASSEMBLER_DIALECT == ASM_ATT			\

